import request from '@/utils/request'

export function getInstrumentPage(data) {
  return request({
    url: '/js-check-instrument/page',
    method: 'get',
    params: data
  })
}

export function getInstrumentList(data) {
  return request({
    url: '/js-check-instrument/list',
    method: 'post',
    data: data
  })
}

export function getInstrumentDetail(data) {
  return  request({
    url: '/js-check-instrument/listById',
    method: 'post',
    data: data
  })
}

export function addInstrumentPage(data) {
  return request({
    url: '/js-check-instrument/add',
    method: 'post',
    data: data
  })
}

export function editInstrumentPage(data) {
  return request({
    url: '/js-check-instrument/edit',
    method: 'post',
    data: data
  })
}

export function delInstrumentPage(data) {
  return request({
    url: '/js-check-instrument/delete',
    method: 'post',
    data: data
  })
}
